Member Function
AnnotationTree Iterator
Constructor
Iter()
Iter(store [, startInNode])
Include Headers
seqan/store.h
Parameters

store | A FragmentStore object. Types: FragmentStore
startInNode | Annotation id of the node the iterator should start at. Default: 0, the id of the root node.

Remarks
The begin function can also be used to create a tree iterator that starts in the root node:
Iterator<FragmentStore<>, AnnotationTree<> >::Type it;
it = begin(store, AnnotationTree<>());
Member of
AnnotationTree Iterator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59